/*
  DS3231 RTC Modülü Arduino ile Nasıl Kullanılır?
 
  DS3231 RTC Modülünün detaylı açıklaması ve örnek projelerini
  web sitemizde bulabilirsiniz.
 
  Mete Hoca
  https://www.metehoca.com/
*/

#include <DS323x.h> // Kütüphanemizi ekliyoruz
                    // Hideaki Tai'nin DS323x kütüphanesi

DS323x rtc;         // Kütüphanemiz başlatılıyor

void setup() {
  Serial.begin(9600); // Seri Port Ekranı'nı başlatıyoruz
  Wire.begin();       // Wire kütüphanesini başlatıyoruz
  delay(1000);        // Bağlantı kurulana kadar bekleyelim

  rtc.attach(Wire);   // Kütüphaneyi I2C'ye bağlayalım
  // Alttaki satır girdiğimiz saat ve tarihi alarak RTC'yi ayarlar
  // Bu halde bir defalığına Arduino'ya yükledikten sonra satırı başına //
  // koyarak yorum yapıp tekrar yüklemeliyiz.
  // Aksi halde her açılışta tekrar saat yüklemeye çalışır.
  rtc.now(DateTime(2022, 01, 10, 21, 8, 00));
}

void loop() {
  DateTime now = rtc.now();                   // Güncel saati bu satırda okuyoruz
  if (now.day() < 10) {Serial.print("0");}    // 3. ayı 03 olarak gösterelim
  Serial.print(now.day());                    // Günü yazalım
  Serial.print(".");
  if (now.month() < 10) {Serial.print("0");}
  Serial.print(now.month());                  // Ayı yazalım
  Serial.print(".");
  Serial.print(now.year());                   // Yılı yazalım
  Serial.print(" | ");
  if (now.hour() < 10) {Serial.print("0");}
  Serial.print(now.hour());                   // Saati yazalım
  Serial.print(":");
  if (now.minute() < 10) {Serial.print("0");}
  Serial.print(now.minute());                 // Dakikayı yazalım
  Serial.print(":");
  if (now.second() < 10) {Serial.print("0");} 
  Serial.println(now.second());               // Saniyeyi yazalım
  delay(1000);                                // Biraz bekleyelim
}
